asn1_parser2tree(3)

NAME
asn1_parser2tree - API function

SYNOPSIS
#include <libtasn1.h>

int asn1_parser2tree(const char * file, asn1_node * definitions, char * error_desc);

ARGUMENTS

const char * file
    specify the path and the name of file that contains ASN.1 declarations.

asn1_node * definitions
    return the pointer to the structure created from "file" ASN.1 declarations.

char * error_desc
    return the error description or an empty string if success.

DESCRIPTION
Function used to start the parse algorithm. Creates the structures needed to manage the definitions included in file file.

RETURNS
ASN1_SUCCESS if the file has a correct syntax and every identifier is known, ASN1_ELEMENT_NOT_EMPTY if definitions not NULL, ASN1_FILE_NOT_FOUND if an error occured while opening file , ASN1_SYNTAX_ERROR if the syntax is not correct, ASN1_IDENTIFIER_NOT_FOUND if in the file there is an identifier that is not defined, ASN1_NAME_TOO_LONG if in the file there is an identifier whith more than ASN1_MAX_NAME_SIZE characters.

COPYRIGHT
Copyright © 2006-2015 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for libtasn1 is maintained as a Texinfo manual. If the info and libtasn1 programs are properly installed at your site, the command

    info libtasn1

should give you access to the complete manual. As an alternative you may obtain the manual from:

    http://www.gnu.org/software/libtasn1/manual/